Page MenuHomePhabricator

Wikipedia Android app is stuck when triggering 'Jump back to a section' from cache
Closed, ResolvedPublic

Description

Load any saved page. Expand a section. Tap 'Jump back to a secton'. Try to do anything else after.


Version: 1.0.0 (Android)
Severity: normal

Details

Reference
bz33278

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:02 AM
bzimport set Reference to bz33278.
brion added a comment.Dec 20 2011, 6:58 PM

Can confirm on Nexus 1, Android 2.3.6.

Owie! Link might be getting fixed up incorrectly or something.... in theory it ought not get fixed up at all since it's an in-page link.

brion added a comment.Dec 22 2011, 6:49 PM

[master 1851fbd] Fix for hash links in saved pages; also fixed a weird case with hashlinks on non-saved pages where the hash got into the history.